<?php require_once('Connections/conn.php'); ?>
<?php 
//***************************************************************************************
// Nombre del Script: servicio_comunitario.php
// Descripción: Permite la gestión de los estudiantes de la ENAHP (Registrar, Modificar
//              y Eliminar) que cursan el Servicio Comunitario
//************************************************************************************** 
 session_start();
  // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO'];
 

  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];
  
  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="alumnos.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		return;
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="16") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="alumnos.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
		return;
  }  
  

  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>siga_pregrado -- servicio_comunitario</title>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
<script src="jquery.min.js" type="text/javascript"></script>

</head>

<script>
$(document).ready(function(){
	$("#estado").change(function(){
		$.post("carga_municipios.php",{ id:$(this).val() },function(data){$("#municipio").html(data);})
	});	
})

</script>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Servicio Comunitario</h2></td></tr></table>
<?php
  // $conn = connect();
  
  require_once('Connections/conn.php');
  mysql_select_db("pregrado_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  $showrecs = 250;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert();
      break;
    case "update":
      sql_update();
      break;
    case "delete":
      sql_delete();
      break;
	case "load":
      sql_load();
      break;
  }

  switch ($a) {
    case "add":
      addrec();
      break;
	case "addall":
      addall();
      break;
    case "view":
      viewrec($recid);
      break;
    case "edit":
      editrec($recid);
      break;
    case "del":
      deleterec($recid);
      break;
    default:
      select();
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr">!SIGA LA ENAHP</td></tr></table>
</body>
</html>

<?php function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;


  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr><td>Registros <?php echo $startrec + 1 ?> - <?php echo $reccount ?> of <?php echo $count ?></td></tr>
</table>
<hr size="1" noshade>
<form action="servicio_comunitario.php" method="post">
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><b>Filtrar por</b>&nbsp;</td>
<td><input type="text" name="filter" value="<?php echo $filter ?>"></td>
<td><select name="filter_field">
<option value="">Todos los campos</option>
<option value="<?php echo "codinstituto" ?>"<?php if ($filterfield == "codinstituto") { echo "selected"; } ?>><?php echo htmlspecialchars("codinstituto") ?></option>
<option value="<?php echo "cedula" ?>"<?php if ($filterfield == "cedula") { echo "selected"; } ?>><?php echo htmlspecialchars("cedula") ?></option>
<option value="<?php echo "proyecto" ?>"<?php if ($filterfield == "proyecto") { echo "selected"; } ?>><?php echo htmlspecialchars("proyecto") ?></option>
<option value="<?php echo "comunidad" ?>"<?php if ($filterfield == "comunidad") { echo "selected"; } ?>><?php echo htmlspecialchars("comunidad") ?></option>
<option value="<?php echo "municipio" ?>"<?php if ($filterfield == "municipio") { echo "selected"; } ?>><?php echo htmlspecialchars("municipio") ?></option>
<option value="<?php echo "estado" ?>"<?php if ($filterfield == "estado") { echo "selected"; } ?>><?php echo htmlspecialchars("estado") ?></option>
<option value="<?php echo "beneficiados" ?>"<?php if ($filterfield == "beneficiados") { echo "selected"; } ?>><?php echo htmlspecialchars("beneficiados") ?></option>
<option value="<?php echo "inicio" ?>"<?php if ($filterfield == "inicio") { echo "selected"; } ?>><?php echo htmlspecialchars("inicio") ?></option>
<option value="<?php echo "fin" ?>"<?php if ($filterfield == "fin") { echo "selected"; } ?>><?php echo htmlspecialchars("fin") ?></option>
<option value="<?php echo "mencion" ?>"<?php if ($filterfield == "mencion") { echo "selected"; } ?>><?php echo htmlspecialchars("mencion") ?></option>
<option value="<?php echo "id_periodo" ?>"<?php if ($filterfield == "id_periodo") { echo "selected"; } ?>><?php echo htmlspecialchars("id_periodo") ?></option>
<option value="<?php echo "seccion" ?>"<?php if ($filterfield == "seccion") { echo "selected"; } ?>><?php echo htmlspecialchars("seccion") ?></option>
</select></td>
<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Palabra completa</td>
</td></tr>
<tr>
<td>&nbsp;</td>
<td><input type="submit" name="action" value="Aplicar Filtro"></td>
<td><a href="servicio_comunitario.php?a=reset">Quitar Filtro</a></td>
</tr>
</table>
</form>
<hr size="1" noshade>
<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td class="hr" align="center">Ver</td>
<td class="hr" align="center">Editar</td>
<td class="hr" align="center">Borrar</td>
<td class="hr"><a class="hr" href="servicio_comunitario.php?order=<?php echo "cedula" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Cédula") ?></a></td>
<td class="hr"><a class="hr" href="servicio_comunitario.php?order=<?php echo "cedula" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Apellidos y Nombres") ?></a></td>
<td class="hr"><a class="hr" href="servicio_comunitario.php?order=<?php echo "id_periodo" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Lapso") ?></a></td>
<td class="hr"><a class="hr" href="servicio_comunitario.php?order=<?php echo "mencion" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Mención") ?></a></td>
<td class="hr"><a class="hr" href="servicio_comunitario.php?order=<?php echo "seccion" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Sección") ?></a></td>
</tr>
<?php
  global $conn;
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
	  
    }
	$cedula=$row["cedula"];
	$sql = "select apellidos,nombres from alumnos where cedula='$cedula'";
    $rs=mysql_query($sql,$conn);
    $row_estudiante=mysql_fetch_array($rs);
    $estudiante=$row_estudiante['apellidos'].', '.$row_estudiante['nombres'];
	
	$id_periodo=$row["id_periodo"];
	$sql = "select codigo,tipo from periodos where id_periodo='$id_periodo'";
    $rs=mysql_query($sql,$conn);
    $row_periodo=mysql_fetch_array($rs);
    $periodo=$row_periodo['codigo'];
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="servicio_comunitario.php?a=view&recid=<?php echo $i ?>"><img src="imagenes/search.gif" border="0" ></a></td>
<td class="<?php echo $style ?>" align="center"><a href="servicio_comunitario.php?a=edit&recid=<?php echo $i ?>"><img src="imagenes/edit.gif" border="0" ></a></td>
<td class="<?php echo $style ?>" align="center"><a href="servicio_comunitario.php?a=del&recid=<?php echo $i ?>"><img src="imagenes/delete.png" border="0" ></a></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["cedula"]) ?></td>
<td class="<?php echo $style ?>"><?php echo $estudiante ?></td>
<td class="<?php echo $style ?>"><?php echo $periodo ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["mencion"]) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["seccion"]) ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php } ?>

<?php function showrow($row, $recid)
  {
   global $conn;
  
   mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  
    $cedula=$row["cedula"];
	$sql = "select apellidos,nombres from alumnos where cedula='$cedula'";
    $rs=mysql_query($sql,$conn);
    $row_estudiante=mysql_fetch_array($rs);
    $estudiante=$row_estudiante['apellidos'].', '.$row_estudiante['nombres'];
	
	$id_periodo=$row["id_periodo"];
	$sql = "select codigo,tipo from periodos where id_periodo='$id_periodo'";
    $rs=mysql_query($sql,$conn);
    $row_periodo=mysql_fetch_array($rs);
    $periodo=$row_periodo['codigo'];
	
  //*******************************************************************
  // Prepara Combo Dinámico para Estados de Nacimiento y de Procedencia
  //*******************************************************************
  $sql_estados = "SELECT codigo,estado FROM estados";
  $rst_estados = mysql_query($sql_estados, $conn) or die(mysql_error());
  $total_rows_estados = mysql_num_rows($rst_estados);  

  if($total_rows_estados >0){
    $array_codigos = array();
	$array_estados = array();
	
	$array_codigos1 = array();
	$array_estados1 = array();
	$code=0;
	while($estado = mysql_fetch_assoc($rst_estados))
		{
			$array_codigos[$code] = $estado["codigo"];		
			$array_estados[$code]=  $estado["estado"];	
			
			$array_codigos1[$code] = $estado["codigo"];		
			$array_estados1[$code]=  $estado["estado"];	
			$code += 1;
		}
   }
  
  $edo = str_replace('"', '&quot;', trim($row["estado"]));
  $sql_edo = "SELECT * FROM estados WHERE estados.codigo='$edo'";
  $rst_edo = mysql_query($sql_edo, $conn) or die(mysql_error());
  $row_edo = mysql_fetch_assoc($rst_edo);
  $total_rows_edoc = mysql_num_rows($rst_edo);
  
  $municipio = str_replace('"', '&quot;', trim($row["municipio"]));
  $sql_municipio = "SELECT * FROM municipios WHERE municipios.codigo='$municipio'";
  $rst_municipio = mysql_query($sql_municipio, $conn) or die(mysql_error());
  $row_municipio = mysql_fetch_assoc($rst_municipio);
  $total_rows_municipio = mysql_num_rows($rst_municipio);
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="75%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Código de la ENAHP")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["codinstituto"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Cédula")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["cedula"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos y Nombres")."&nbsp;" ?></td>
<td class="dr"><?php echo $estudiante; ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombre del Proyecto")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["proyecto"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Comunidad Beneficiada")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["comunidad"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Municipio")."&nbsp;" ?></td>
<td class="dr"><?php echo $row_municipio['municipio']?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Entidad Federal (Estado)")."&nbsp;" ?></td>
<td class="dr"><?php echo $row_edo['estado']?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Personas Beneficiadas")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["beneficiados"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Inicio")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["inicio"])))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Culminación")."&nbsp;" ?></td>
<td class="dr"><?php echo join ("-",(array_reverse(explode("-",$row["fin"])))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("mencion")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["mencion"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Lapso Académico")."&nbsp;" ?></td>
<td class="dr"><?php echo $periodo ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sección")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["seccion"]) ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  
   mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  
    $cedula=$row["cedula"];
	$sql = "select apellidos,nombres from alumnos where cedula='$cedula'";
    $rs=mysql_query($sql,$conn);
    $row_estudiante=mysql_fetch_array($rs);
    $estudiante=$row_estudiante['apellidos'].', '.$row_estudiante['nombres'];
	
	$id_periodo=$row["id_periodo"];
	$sql = "select codigo,tipo from periodos where id_periodo='$id_periodo'";
    $rs=mysql_query($sql,$conn);
    $row_periodo=mysql_fetch_array($rs);
    $periodo=$row_periodo['codigo'];
	
  //*******************************************************************
  // Prepara Combo Dinámico para Estados de Nacimiento y de Procedencia
  //*******************************************************************
  $sql_estados = "SELECT codigo,estado FROM estados";
  $rst_estados = mysql_query($sql_estados, $conn) or die(mysql_error());
  $total_rows_estados = mysql_num_rows($rst_estados);  

  if($total_rows_estados >0){
    $array_codigos = array();
	$array_estados = array();
	
	$array_codigos1 = array();
	$array_estados1 = array();
	$code=0;
	while($estado = mysql_fetch_assoc($rst_estados))
		{
			$array_codigos[$code] = $estado["codigo"];		
			$array_estados[$code]=  $estado["estado"];	
			
			$array_codigos1[$code] = $estado["codigo"];		
			$array_estados1[$code]=  $estado["estado"];	
			$code += 1;
		}
   }
  
  $edo = str_replace('"', '&quot;', trim($row["estado"]));
  $sql_edo = "SELECT * FROM estados WHERE estados.codigo='$edo'";
  $rst_edo = mysql_query($sql_edo, $conn) or die(mysql_error());
  $row_edo = mysql_fetch_assoc($rst_edo);
  $total_rows_edoc = mysql_num_rows($rst_edo);
  
  $municipio = str_replace('"', '&quot;', trim($row["municipio"]));
  $sql_municipio = "SELECT * FROM municipios WHERE municipios.codigo='$municipio'";
  $rst_municipio = mysql_query($sql_municipio, $conn) or die(mysql_error());
  $row_municipio = mysql_fetch_assoc($rst_municipio);
  $total_rows_municipio = mysql_num_rows($rst_municipio);
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="3"width="100%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Código de la ENAHP")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="codinstituto" maxlength="10" value="<?php echo str_replace('"', '&quot;', trim($row["codinstituto"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Cédula o Pasaporte")."&nbsp;" ?></td>
<td class="dr">
<?php echo $row["cedula"]; ?>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos y Nombres")."&nbsp;" ?></td>
<td class="dr"><?php echo $estudiante; ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Lapso Académico")."&nbsp;" ?></td>
<td class="dr"><?php echo $periodo ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Mención")."&nbsp;" ?></td>
<td class="dr"><?php echo str_replace('"', '&quot;', trim($row["mencion"])) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Sección")."&nbsp;" ?></td>
<td class="dr"><?php echo str_replace('"', '&quot;', trim($row["seccion"])) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombre del Proyecto")."&nbsp;" ?></td>
<td class="dr"><textarea cols="60" rows="4" name="proyecto" maxlength="255"><?php echo str_replace('"', '&quot;', trim($row["proyecto"])) ?></textarea></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Comunidad Beneficiada")."&nbsp;" ?></td>
<td class="dr"><textarea cols="60" rows="1" name="comunidad" maxlength="255"><?php echo str_replace('"', '&quot;', trim($row["comunidad"])) ?></textarea></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Entidad Federal (Estado)")."&nbsp;" ?></td>
<td class="dr"><select name="estado" size="1" id="estado">
            <option value="<?php echo $row_edo['codigo']?>"><?php echo $row_edo['estado']?></option>
			<?php
 for($i=0;$i<count($array_codigos);$i++) {
  echo "<option value=".$array_codigos[$i].">".$array_estados[$i]."</option>" ;
} 
?>
      </select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Municipio")."&nbsp;" ?></td>
<td class="dr"> <select id="municipio" name="municipio">
            <option value="<?php echo $row_municipio['codigo']?>"><?php echo $row_municipio['municipio']?></option>
        </select></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Personas Beneficiadas")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="beneficiados" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["beneficiados"])) ?>" size="5" maxlength="5"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Inicio")."&nbsp;" ?></td>
<td class="dr">
<input name="inicio" type="text" size="10" maxlength="10" value="<?php echo join ("-",(array_reverse(explode("-",$row["inicio"])))) ?>" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)">


&nbsp;&nbsp;(dd-mm-aaaa)</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Finalización")."&nbsp;" ?></td>
<td class="dr"><input name="fin" type="text" size="10" maxlength="10" value="<?php echo join ("-",(array_reverse(explode("-",$row["fin"])))) ?>" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)">&nbsp;&nbsp;(dd-mm-aaaa)</td>
</tr>
</table>
<?php } ?>

<?php function showrowadd($row, $iseditmode)
  {
  global $conn;
  
   mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  
  $cedula=$row["cedula"];
	$sql = "select apellidos,nombres from alumnos where cedula='$cedula'";
    $rs=mysql_query($sql,$conn);
    $row_estudiante=mysql_fetch_array($rs);
    $estudiante=$row_estudiante['apellidos'].', '.$row_estudiante['nombres'];
	
	$id_periodo=$row["id_periodo"];
	$sql = "select codigo,tipo from periodos where id_periodo='$id_periodo'";
    $rs=mysql_query($sql,$conn);
    $row_periodo=mysql_fetch_array($rs);
    $periodo=$row_periodo['codigo'];
	
  //*******************************************************************
  // Prepara Combo Dinámico para Estados de Nacimiento y de Procedencia
  //*******************************************************************
  $sql_estados = "SELECT codigo,estado FROM estados";
  $rst_estados = mysql_query($sql_estados, $conn) or die(mysql_error());
  $total_rows_estados = mysql_num_rows($rst_estados);  

  if($total_rows_estados >0){
    $array_codigos = array();
	$array_estados = array();
	
	$array_codigos1 = array();
	$array_estados1 = array();
	$code=0;
	while($estado = mysql_fetch_assoc($rst_estados))
		{
			$array_codigos[$code] = $estado["codigo"];		
			$array_estados[$code]=  $estado["estado"];	
			
			$array_codigos1[$code] = $estado["codigo"];		
			$array_estados1[$code]=  $estado["estado"];	
			$code += 1;
		}
   }
  
  $edo = str_replace('"', '&quot;', trim($row["estado"]));
  $sql_edo = "SELECT * FROM estados WHERE estados.codigo='$edo'";
  $rst_edo = mysql_query($sql_edo, $conn) or die(mysql_error());
  $row_edo = mysql_fetch_assoc($rst_edo);
  $total_rows_edoc = mysql_num_rows($rst_edo);
  
  $municipio = str_replace('"', '&quot;', trim($row["municipio"]));
  $sql_municipio = "SELECT * FROM municipios WHERE municipios.codigo='$municipio'";
  $rst_municipio = mysql_query($sql_municipio, $conn) or die(mysql_error());
  $row_municipio = mysql_fetch_assoc($rst_municipio);
  $total_rows_municipio = mysql_num_rows($rst_municipio);
  
  $query_rstPeriodos = "SELECT  periodos.id_periodo, periodos.codigo,tipo FROM periodos WHERE tipo='REGULAR' ORDER BY periodos.id_periodo desc";
$rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);

$query_rstAlumnos = "SELECT alumnos.apellidos,alumnos.nombres, alumnos.cedula FROM alumnos ORDER BY apellidos,nombres";
$rstAlumnos = mysql_query($query_rstAlumnos, $conn) or die(mysql_error());
$row_rstAlumnos = mysql_fetch_assoc($rstAlumnos);
$totalRows_rstAlumnos = mysql_num_rows($rstAlumnos);

?>
<table class="tbl" border="0" cellspacing="1" cellpadding="3"width="100%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Código de la ENAHP")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="codinstituto" maxlength="10" value="<?php echo str_replace('"', '&quot;', trim($row["codinstituto"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Cédula o Pasaporte")."&nbsp;" ?></td>
<td class="dr">
<input name="cedula" type="text" onBlur="verificar_cedula(this.value)" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["cedula"])) ?>" size="8" maxlength="8"><iframe name="frameSC" id="frameSC" with="0" height="0" frameborder="0" ></iframe>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos y Nombres")."&nbsp;" ?></td>
<td class="dr">
<input disabled="disabled" type="text" name="estudiante" id="estudiante" size="50" maxlength="50" value=""></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Lapso Académico")."&nbsp;" ?></td>
<td class="dr"><select name="id_periodo" id="id_periodo">
            <?php
do {  
?>
            <option value="<?php echo $row_rstPeriodos['id_periodo']?>"><?php echo $row_rstPeriodos['codigo'].' ('.$row_rstPeriodos['tipo'].')' ?></option>
            <?php
} while ($row_rstPeriodos = mysql_fetch_assoc($rstPeriodos));
  $rows = mysql_num_rows($rstPeriodos);
  if($rows > 0) {
      mysql_data_seek($rstPeriodos, 0);
	  $row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
  }
?>
          </select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Carrera")."&nbsp;" ?></td>
<td class="dr"><input readonly="true" type="text" name="carrera" id="carrera" size="50" maxlength="50" value=""></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Mención")."&nbsp;" ?></td>
<td class="dr"><input readonly="true" type="text" name="mencion" id="mencion" size="30" maxlength="30" value=""></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Sección")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="seccion" id="seccion"  onKeyUp="this.value=this.value.toUpperCase();" value="<?php echo str_replace('"', '&quot;', trim($row["seccion"])) ?>" size="3" maxlength="3"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombre del Proyecto")."&nbsp;" ?></td>
<td class="dr"><textarea cols="60" rows="4" name="proyecto" maxlength="255"><?php echo str_replace('"', '&quot;', trim($row["proyecto"])) ?></textarea></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Comunidad Beneficiada")."&nbsp;" ?></td>
<td class="dr"><textarea cols="60" rows="1" name="comunidad" maxlength="255"><?php echo str_replace('"', '&quot;', trim($row["comunidad"])) ?></textarea></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Entidad Federal (Estado)")."&nbsp;" ?></td>
<td class="dr"><select name="estado" size="1" id="estado">
            <option value="0">SELECCIONE...</option>
			<?php
 for($i=0;$i<count($array_codigos);$i++) {
  echo "<option value=".$array_codigos[$i].">".$array_estados[$i]."</option>" ;
} 
?>
      </select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Municipio")."&nbsp;" ?></td>
<td class="dr"> <select id="municipio" name="municipio">
            <option value="0">SELECCIONE...</option>
        </select></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Personas Beneficiadas")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="beneficiados" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["beneficiados"])) ?>" size="5" maxlength="5"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Inicio")."&nbsp;" ?></td>
<td class="dr">
<input name="inicio" id="inicio" type="text" size="10" maxlength="10" value="<?php echo join ("-",(array_reverse(explode("-",$row["inicio"])))) ?>" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)">


&nbsp;&nbsp;(dd-mm-aaaa)</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Finalización")."&nbsp;" ?></td>
<td class="dr"><input name="fin" id="fin" type="text" size="10" maxlength="10" value="<?php echo join ("-",(array_reverse(explode("-",$row["fin"])))) ?>" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)">&nbsp;&nbsp;(dd-mm-aaaa)</td>
</tr>
</table>
<?php } ?>

<?php function showrowaddall()
  {
  global $conn;
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  
  
  $query_rstPeriodos = "SELECT  periodos.id_periodo, periodos.codigo,tipo FROM periodos WHERE tipo='REGULAR' ORDER BY periodos.id_periodo desc";
  $rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
  $row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
  $totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="3"width="50%">

<tr>
<td class="hr"><?php echo htmlspecialchars("Lapso Académico")."&nbsp;" ?></td>
<td class="dr"><select name="id_periodo" id="id_periodo">
            <?php
do {  
?>
            <option value="<?php echo $row_rstPeriodos['id_periodo']?>"><?php echo $row_rstPeriodos['codigo'].' ('.$row_rstPeriodos['tipo'].')' ?></option>
            <?php
} while ($row_rstPeriodos = mysql_fetch_assoc($rstPeriodos));
  $rows = mysql_num_rows($rstPeriodos);
  if($rows > 0) {
      mysql_data_seek($rstPeriodos, 0);
	  $row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
  }
?>
          </select></td>
</tr>
</table>
<?php } ?>

<?php function showpagenav($page, $pagecount)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="servicio_comunitario.php?a=add">Agregar Prestador</a>&nbsp;</td>
<td><a href="servicio_comunitario.php?a=addall">Agregar Inscritos</a>&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="servicio_comunitario.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="servicio_comunitario.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="servicio_comunitario.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="servicio_comunitario.php?page=<?php echo $page + 1 ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="servicio_comunitario.php">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="servicio_comunitario.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>">Registro Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="servicio_comunitario.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>">Siguiente Registro</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec()
{
?>
<table class="bd" width="100%"><tr><td class="hr">Agregando Prestador del Servicio Comunitario</td></tr></table>
<table  class="bd" width="100%"><tr><td>Todos los campos son obligatorios </td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="servicio_comunitario.php">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="form1" id="form1" enctype="multipart/form-data" action="servicio_comunitario.php" method="post" onSubmit="return validar_datos()">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "codinstituto" => "0000000123",
  "cedula" => "",
  "proyecto" => "",
  "comunidad" => "",
  "municipio" => "",
  "estado" => "",
  "beneficiados" => "",
  "inicio" => "",
  "fin" => "",
  "mencion" => "",
  "id_periodo" => "",
  "seccion" => "");
showrowadd($row, false);
?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php } ?>


<?php function addall()
{
?>
<table class="bd" width="100%"><tr><td class="hr">Agregando Inscritos en el Servicio Comunitario</td></tr></table>
<table  class="bd" width="100%"><tr><td>Todos los campos son obligatorios </td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="servicio_comunitario.php">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="form1" id="form1" enctype="multipart/form-data" action="servicio_comunitario.php" method="post" onSubmit="return validar_datos()">
<p><input type="hidden" name="sql" value="load"></p>
<?php
  showrowaddall();
?>
<p><input type="submit" name="action" value="Agregar"></p>
</form>
<?php } ?>

<?php function viewrec($recid)
{
?>
<table class="bd" width="100%"><tr><td class="hr">Consultado Prestador del Servicio Comunitario</td></tr></table>
<?php
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("view", $recid, $count);
?>
<br>
<?php showrow($row, $recid) ?>
<br>
<hr size="1" noshade>
<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid)
{
  ?>
<table class="bd" width="100%"><tr><td class="hr">Editando Prestador del Servicio Comunitario</td></tr></table>
<?php
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count);
?>
<br>
<form name="form1" id="form1" enctype="multipart/form-data" action="servicio_comunitario.php" method="post" onSubmit="return validar_datos_1()">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xcodinstituto" value="<?php echo $row["codinstituto"] ?>">
<input type="hidden" name="xcedula" value="<?php echo $row["cedula"] ?>">
<input type="hidden" name="xmunicipio" value="<?php echo $row["municipio"] ?>">
<input type="hidden" name="xestado" value="<?php echo $row["estado"] ?>">
<input type="hidden" name="xbeneficiados" value="<?php echo $row["beneficiados"] ?>">
<input type="hidden" name="xinicio" value="<?php echo $row["inicio"] ?>">
<input type="hidden" name="xfin" value="<?php echo $row["fin"] ?>">
<input type="hidden" name="xmencion" value="<?php echo $row["mencion"] ?>">
<input type="hidden" name="xid_periodo" value="<?php echo $row["id_periodo"] ?>">
<input type="hidden" name="xseccion" value="<?php echo $row["seccion"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid)
{
?>
<table class="bd" width="100%"><tr><td class="hr">Eliminando Prestador de Servicio Comunitario</td></tr></table>
<?php
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count);
?>
<br>
<form action="servicio_comunitario.php" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xcodinstituto" value="<?php echo $row["codinstituto"] ?>">
<input type="hidden" name="xcedula" value="<?php echo $row["cedula"] ?>">
<input type="hidden" name="xmunicipio" value="<?php echo $row["municipio"] ?>">
<input type="hidden" name="xestado" value="<?php echo $row["estado"] ?>">
<input type="hidden" name="xbeneficiados" value="<?php echo $row["beneficiados"] ?>">
<input type="hidden" name="xinicio" value="<?php echo $row["inicio"] ?>">
<input type="hidden" name="xfin" value="<?php echo $row["fin"] ?>">
<input type="hidden" name="xmencion" value="<?php echo $row["mencion"] ?>">
<input type="hidden" name="xid_periodo" value="<?php echo $row["id_periodo"] ?>">
<input type="hidden" name="xseccion" value="<?php echo $row["seccion"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Conformar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
  $conn = mysql_connect("localhost", "root", "12345");
  mysql_select_db("siga_pregrado");
  return $conn;
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT `codinstituto`, `cedula`, `proyecto`, `comunidad`, `municipio`, `estado`, `beneficiados`, `inicio`, `fin`, `mencion`, `id_periodo`, `seccion` FROM `servicio_comunitario`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`codinstituto` like '" .$filterstr ."') or (`cedula` like '" .$filterstr ."') or (`proyecto` like '" .$filterstr ."') or (`comunidad` like '" .$filterstr ."') or (`municipio` like '" .$filterstr ."') or (`estado` like '" .$filterstr ."') or (`beneficiados` like '" .$filterstr ."') or (`inicio` like '" .$filterstr ."') or (`fin` like '" .$filterstr ."') or (`mencion` like '" .$filterstr ."') or (`id_periodo` like '" .$filterstr ."') or (`seccion` like '" .$filterstr ."')";
  }
  if (isset($order) && $order!='') $sql .= " order by `" .sqlstr($order) ."`";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `servicio_comunitario`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`codinstituto` like '" .$filterstr ."') or (`cedula` like '" .$filterstr ."') or (`proyecto` like '" .$filterstr ."') or (`comunidad` like '" .$filterstr ."') or (`municipio` like '" .$filterstr ."') or (`estado` like '" .$filterstr ."') or (`beneficiados` like '" .$filterstr ."') or (`inicio` like '" .$filterstr ."') or (`fin` like '" .$filterstr ."') or (`mencion` like '" .$filterstr ."') or (`id_periodo` like '" .$filterstr ."') or (`seccion` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;
  
  $inicio=join ("-",(array_reverse(explode("-",@$_POST["inicio"]))));
  $fin=join ("-",(array_reverse(explode("-",@$_POST["fin"]))));
  
  $codinstituto="";
  
  $mencion=@$_POST["mencion"];
  $sql = "select id_mencion from menciones where nombre_mencion='$mencion'";
  $rs=mysql_query($sql,$conn);
  $row_mencion=mysql_fetch_array($rs);
  $codigo_mencion=$row_mencion['id_mencion'];
  
  $carrera=@$_POST["carrera"];
  $sql = "select id_carrera from carreras where nombre_carrera='$carrera'";
  $rs=mysql_query($sql,$conn);
  $row_carrera=mysql_fetch_array($rs);
  $codigo_carrera=$row_carrera['id_carrera'];

  $sql = "insert into `servicio_comunitario` (`codinstituto`, `cedula`, `proyecto`, `comunidad`, `municipio`, `estado`, `beneficiados`, `inicio`, `fin`, `id_carrera`, `mencion`, `id_periodo`, `seccion`) values ('$codinstituto', " .sqlvalue(@$_POST["cedula"], true).", " .sqlvalue(@$_POST["proyecto"], true).", " .sqlvalue(@$_POST["comunidad"], true).", " .sqlvalue(@$_POST["municipio"], true).", " .sqlvalue(@$_POST["estado"], true).", " .sqlvalue(@$_POST["beneficiados"], false).", '$inicio', '$fin', '$codigo_carrera', '$codigo_mencion', " .sqlvalue(@$_POST["id_periodo"], false).", " .sqlvalue(@$_POST["seccion"], true).")";
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_load()
{
  global $conn;
  global $_POST;
  
  $sql = "INSERT INTO servicio_comunitario( cedula, seccion, id_carrera, mencion, id_periodo, annio ) 
SELECT alumnos.cedula, inscripciones.id_seccion, inscripciones.id_carrera, inscripciones.mencion, inscripciones.id_periodo, inscripciones.annio
FROM alumnos, inscripciones
WHERE alumnos.id_alumno = inscripciones.id_alumno
AND substr( inscripciones.id_materia, 1, 3 ) = 'SCO'
AND alumnos.cedula NOT 
IN (
SELECT cedula
FROM servicio_comunitario)";
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_update()
{
  global $conn;
  global $_POST;
  
  $inicio=join ("-",(array_reverse(explode("-",@$_POST["inicio"]))));
  $fin=join ("-",(array_reverse(explode("-",@$_POST["fin"]))));

  $sql = "update `servicio_comunitario` set `proyecto`=" .sqlvalue(@$_POST["proyecto"], true).", `comunidad`=" .sqlvalue(@$_POST["comunidad"], true).", `municipio`=" .sqlvalue(@$_POST["municipio"], true).", `estado`=" .sqlvalue(@$_POST["estado"], true).", `beneficiados`=" .sqlvalue(@$_POST["beneficiados"], false).", `inicio`='$inicio', `fin`='$fin' where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_delete()
{
  global $conn;

  $sql = "delete from `servicio_comunitario` where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}
function primarykeycondition()
{
  global $_POST;
  $pk = "";
  
  $pk .= "(`cedula`";
  if (@$_POST["xcedula"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xcedula"], true);
  };
  $pk .= ")";
  return $pk;
}
function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
 ?>
 
 <script>
function esFechaValida(fecha){
    if (fecha != undefined && fecha != "" ){
       
    	var dia  =  parseInt(fecha.substring(0,2),10);
		var mes  =  parseInt(fecha.substring(3,5),10);
		var anio =  parseInt(fecha.substring(6,10),10);
	
		if (isNaN(dia) || isNaN(mes) || isNaN(anio)) {
		   alert("Formato de fecha no válido");
		   document.form1.inicio.focus();
           return false;
	    }
	
        switch(mes){
        case 1:
			numDias=31;
            break;
        case 3:
			numDias=31;
            break;
        case 5:
			numDias=31;
            break;
        case 7:
			numDias=31;
            break;
        case 8: 
			numDias=31;
            break;
        case 10:
			numDias=31;
            break;
        case 12:
            numDias=31;
            break;
        case 4: case 6: case 9: case 11:
            numDias=30;
            break;
        case 2:
           if (comprobarSiBisisesto(anio)){ numDias=29 }else{ numDias=28};
            break;
        default:
            alert("Error en fecha introducida (Mes Inválido)");
			document.form1.inicio.focus();
            return false;
    }
 
        if (dia>numDias || dia==0){
            alert("Error en fecha introducida (Día Inválido)");
            document.form1.inicio.focus();
			return false;
        }
        return true;
    }
}
 
function comprobarSiBisisesto(anio){
if ( ( anio % 100 != 0) && ((anio % 4 == 0) || (anio % 400 == 0))) {
    return true;
    }
else {
    return false;
    }
}
</script>

<script type="text/javascript">
var patron = new Array(2,2,4)
var patron1= new Array(1,2)
var patron2 = new Array(1,3,3,3,3)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>

<script type="text/javascript">
	
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
</script>	

<script type="text/javascript">
function verificar_cedula(cedula)
{
 	if (cedula!="")
	 {
	
	    url="validar_alumnoSC.php?cedula="+cedula;
	    frameSC.location=url;

    }
}
</script>

<script type="text/javascript">
	function validar_datos()
	{
	 			
		if(document.form1.cedula.value==""){
			alert("El campo <<Número de Cédula>> es obligatorio");
			document.form1.cedula.focus();
			return false;
			}
		if(document.form1.id_periodo.value==0){
			alert("El campo <<Lapso>> es obligatorio");
			document.form1.id_periodo.focus();
			return false;
			}	
		if(document.form1.mencion.value==""){
			alert("El campo <<Mención>> es obligatorio");
			document.form1.mencion.focus();
			return false;
			}
		if(document.form1.seccion.value==""){
			alert("El campo <<Sección>> es obligatorio");
			document.form1.seccion.focus();
			return false;
			}	
		if(document.form1.proyecto.value==""){
			alert("El campo <<Nombre del Proyecto>> es obligatorio");
			document.form1.proyecto.focus();
			return false;
			}	
		if(document.form1.comunidad.value==""){
			alert("El campo <<Comunidad Beneficiada>> es obligatorio");
			document.form1.comunidad.focus();
			return false;
			}	
		if(document.form1.estado.value==0){
			alert("El campo <<Estado>> es obligatorio");
			document.form1.estado.focus();
			return false;
			}
		if(document.form1.municipio.value==0){
			alert("El campo <<Municipio>> es obligatorio");
			document.form1.municipio.focus();
			return false;
			}
		if(document.form1.beneficiados.value==""){
			alert("El campo <<Número de Personas Beneficadas>> es obligatorio");
			document.form1.beneficiados.focus();
			return false;
			}
		if(document.form1.inicio.value==""){
			alert("El campo <<Fecha de Inicio>> es obligatorio");
			document.form1.inicio.focus();
			return false;
			}	
		if(document.form1.fin.value==""){
			alert("El campo <<Fecha de Finalización>> es obligatorio");
			document.form1.fin.focus();
			return false;
			}
	   
	    return true;
	}
	
</script>	

<script type="text/javascript">
	function validar_datos_1()
	{
	 			
		if(document.form1.proyecto.value==""){
			alert("El campo <<Nombre del Proyecto>> es obligatorio");
			document.form1.proyecto.focus();
			return false;
			}	
		if(document.form1.comunidad.value==""){
			alert("El campo <<Comunidad Beneficiada>> es obligatorio");
			document.form1.comunidad.focus();
			return false;
			}	
		if(document.form1.estado.value==0){
			alert("El campo <<Estado>> es obligatorio");
			document.form1.estado.focus();
			return false;
			}
		if(document.form1.municipio.value==0){
			alert("El campo <<Municipio>> es obligatorio");
			document.form1.municipio.focus();
			return false;
			}
		if(document.form1.beneficiados.value==""){
			alert("El campo <<Número de Personas Beneficadas>> es obligatorio");
			document.form1.beneficiados.focus();
			return false;
			}
		if(document.form1.inicio.value==""){
			alert("El campo <<Fecha de Inicio>> es obligatorio");
			document.form1.inicio.focus();
			return false;
			}	
		if(document.form1.fin.value==""){
			alert("El campo <<Fecha de Finalización>> es obligatorio");
			document.form1.fin.focus();
			return false;
			}
	   
	    return true;
	}
	
</script>	
